package kr.co.jinwoosi.clfd.framework.menu.mapper;
 
import java.util.List;

import egovframework.rte.psl.dataaccess.mapper.Mapper;
import kr.co.jinwoosi.clfd.framework.menu.model.MenuSearch;
import kr.co.jinwoosi.clfd.framework.base.mapper.BaseMapper;
import kr.co.jinwoosi.clfd.framework.menu.model.Menu;

@Mapper (value="menuMapper")
public interface MenuMapper extends BaseMapper<Menu, MenuSearch> {

	void updateOrder(Menu menu);
	
	List<Menu> selectRoleMenuList(MenuSearch menuSearch);
	
	int selectMaxMenuOrder(MenuSearch menuSearch);
	
}
